# Firefox Setup

## Extensions / Scripts

- [uBlock Origin](https://addons.mozilla.org/firefox/addon/ublock-origin/)
	- <https://www.i-dont-care-about-cookies.eu/abp/>
	- <https://raw.githubusercontent.com/DandelionSprout/adfilt/master/LegitimateURLShortener.txt>
	- <https://gitlab.com/magnolia1234/bypass-paywalls-clean-filters/-/raw/main/bpc-paywall-filter.txt>
	- Custom: <https://letsblock.it/filters>
- [Multi-Account Containers](https://addons.mozilla.org/firefox/addon/multi-account-containers/) with [Temporary Containers](https://addons.mozilla.org/firefox/addon/temporary-containers/)
- [Skip Redirect](https://addons.mozilla.org/firefox/addon/skip-redirect/)
- [Hover Zoom+](https://addons.mozilla.org/firefox/addon/hover-zoom-plus/)
- [Vimium C](https://addons.mozilla.org/firefox/addon/vimium-c/)
- [KeePassXC-Browser](https://addons.mozilla.org/firefox/addon/keepassxc-browser/)
- [Bypass Paywalls Clean](https://gitlab.com/magnolia1234/bypass-paywalls-firefox-clean)
- YouTube: [Sponsorblock](https://addons.mozilla.org/firefox/addon/sponsorblock/) and [DeArrow](https://addons.mozilla.org/firefox/addon/dearrow/)
- Reddit: [RES](https://addons.mozilla.org/firefox/addon/reddit-enhancement-suite/)
- [Torrent Control](https://addons.mozilla.org/en-CA/firefox/addon/torrent-control/) (replace)
- multifoxContainer
- Redirector
- Open in Unloaded Tab
- Auto Plain Text Links
- BackTrack Tab History
- Link Status Redux
- PrivateTab

## Profiles / Containers

- Ashton
	- Default
	- Finance
	- Social
	- Work
- Work
	- Default
	- Personal

## Search Engines

- Google
- Amazon
- Wikipedia
- Bing
- Yandex
- Trackers
- HN
- YouTube
- Translate

## Reference

- <https://github.com/arkenfox/user.js>
- <https://github.com/yokoffing/Betterfox>
- <https://github.com/xiaoxiaoflood/firefox-scripts>
- <https://github.com/MrOtherGuy/fx-autoconfig>
- <http://kb.mozillazine.org/Profile_folder_-_Firefox>
- <https://www.userchrome.org/what-is-userchrome-js.html>
- <https://www.reddit.com/r/FirefoxCSS/comments/o1ccqe/a_different_way_of_displaying_the_container_color/>
- <https://www.reddit.com/r/FirefoxCSS/comments/yck6gt/blurring_email_address_in_hamburger_menu_for_some/>
- <https://github.com/AveYo/fox>
